Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.storage
Class StorageResolver

    java.lang.Object
      org.apache.xml.security.keys.storage.StorageResolver

    public class StorageResolver

extends java.lang.Object

This class collects customized resolvers for Certificates.

Constructor Summary
`StorageResolver()` Constructor StorageResolver
`StorageResolver(java.security.KeyStore keyStore)` Constructor StorageResolver
`StorageResolver(StorageResolverSpi resolver)` Constructor StorageResolver
`StorageResolver(java.security.cert.X509Certificate x509certificate)` Constructor StorageResolver

Method Summary
`void` | `add(java.security.KeyStore keyStore)` Method addKeyStore
`void` | `add(StorageResolverSpi resolver)` Method addResolver
`void` | `add(java.security.cert.X509Certificate x509certificate)` Method addCertificate
`java.util.Iterator<java.security.cert.Certificate>` | `getIterator()` Method getIterator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StorageResolver

    public StorageResolver()

  Constructor StorageResolver

### StorageResolver

    public StorageResolver(StorageResolverSpi resolver)

  Constructor StorageResolver

  Parameters:
    `resolver` -

### StorageResolver

    public StorageResolver(java.security.KeyStore keyStore)

  Constructor StorageResolver

  Parameters:
    `keyStore` -

### StorageResolver

    public StorageResolver(java.security.cert.X509Certificate x509certificate)

  Constructor StorageResolver

  Parameters:
    `x509certificate` -

Method Detail

### add

    public void add(StorageResolverSpi resolver)

  Method addResolver

  Parameters:
    `resolver` -

### add

    public void add(java.security.KeyStore keyStore)

  Method addKeyStore

  Parameters:
    `keyStore` -

### add

    public void add(java.security.cert.X509Certificate x509certificate)

  Method addCertificate

  Parameters:
    `x509certificate` -

### getIterator

    public java.util.Iterator<java.security.cert.Certificate> getIterator()

  Method getIterator

  Returns:
    the iterator for the resolvers.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD